curl --request PUT \
--url https://api.messaging.phonovation.com/ccaas/1/agents/{agentId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "Angus Young",
"status": "ACTIVE",
"role": "SUPERVISOR",
"enabled": true
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/agents/{agentId}"
payload = {
"displayName": "Angus Young",
"status": "ACTIVE",
"role": "SUPERVISOR",
"enabled": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/agents/{agentId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"displayName\": \"Angus Young\",\n \"status\": \"ACTIVE\",\n \"role\": \"SUPERVISOR\",\n \"enabled\": true\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/ccaas/1/agents/{agentId}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"displayName\": \"Angus Young\",\n \"status\": \"ACTIVE\",\n \"role\": \"SUPERVISOR\",\n \"enabled\": true\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/agents/{agentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'displayName' => 'Angus Young',
'status' => 'ACTIVE',
'role' => 'SUPERVISOR',
'enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: 'Angus Young',
status: 'ACTIVE',
role: 'SUPERVISOR',
enabled: true
})
};
fetch('https://api.messaging.phonovation.com/ccaas/1/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "97457D13B1FC79AF3C1A1096AE7E77AB",
"displayName": "Angus Young",
"status": "INVISIBLE",
"role": "AGENT",
"enabled": true,
"createdAt": "2019-05-10T09:53:58.463+0000",
"updatedAt": "2019-08-21T11:33:52.222+0000"
}Update agent
Use this method to update an agent. More info
Required scope: Enable one of: conversations:manage.
curl --request PUT \
--url https://api.messaging.phonovation.com/ccaas/1/agents/{agentId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "Angus Young",
"status": "ACTIVE",
"role": "SUPERVISOR",
"enabled": true
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/agents/{agentId}"
payload = {
"displayName": "Angus Young",
"status": "ACTIVE",
"role": "SUPERVISOR",
"enabled": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/agents/{agentId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"displayName\": \"Angus Young\",\n \"status\": \"ACTIVE\",\n \"role\": \"SUPERVISOR\",\n \"enabled\": true\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/ccaas/1/agents/{agentId}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"displayName\": \"Angus Young\",\n \"status\": \"ACTIVE\",\n \"role\": \"SUPERVISOR\",\n \"enabled\": true\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/agents/{agentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'displayName' => 'Angus Young',
'status' => 'ACTIVE',
'role' => 'SUPERVISOR',
'enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: 'Angus Young',
status: 'ACTIVE',
role: 'SUPERVISOR',
enabled: true
})
};
fetch('https://api.messaging.phonovation.com/ccaas/1/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "97457D13B1FC79AF3C1A1096AE7E77AB",
"displayName": "Angus Young",
"status": "INVISIBLE",
"role": "AGENT",
"enabled": true,
"createdAt": "2019-05-10T09:53:58.463+0000",
"updatedAt": "2019-08-21T11:33:52.222+0000"
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Id of the Agent we want to update.
Body
Response
OK
Agent name to be displayed.
255Agent ID.
Agent availability.
ACTIVE, BUSY, INVISIBLE, AWAY Agent availability.
ACTIVE, BUSY, INVISIBLE, AWAY Agent role.
AGENT, SUPERVISOR Agent enabled/disabled toggle.
Time stamp when agent is created.
Time stamp when agent is last updated.